Package org.eclipse.emf.compare.ide.ui.internal.util

# Class CompareHandlerService

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.util.CompareHandlerService

public class CompareHandlerService extends Object

## Method Summary

Modifier and Type
Method
Description
`static CompareHandlerService`
`createFor(org.eclipse.compare.ICompareContainer container, org.eclipse.swt.widgets.Shell shell)`
`void`
`dispose()`
`void`
`registerAction(org.eclipse.jface.action.IAction action, String commandId)`
`void`
`setGlobalActionHandler(String actionId, org.eclipse.jface.action.IAction actionHandler)`
`void`
`updatePaneActionHandlers(Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createFor

public static CompareHandlerService createFor(org.eclipse.compare.ICompareContainer container, org.eclipse.swt.widgets.Shell shell)

### registerAction

public void registerAction(org.eclipse.jface.action.IAction action, String commandId)

### setGlobalActionHandler

public void setGlobalActionHandler(String actionId, org.eclipse.jface.action.IAction actionHandler)

### dispose

public void dispose()

### updatePaneActionHandlers

public void updatePaneActionHandlers(Runnable runnable)